Bug 14316 - Clarify meaning of record number in Batch record deletion tool
Summary: Clarify meaning of record number in Batch record deletion tool
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-02 13:06 UTC by Nicole C. Engard
Modified: 2017-10-06 06:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14316: Clarify meaning of record number in Batch record deletion tool (1.44 KB, patch)
2015-06-08 00:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 14316: Clarify meaning of record number in Batch record deletion tool (1.59 KB, patch)
2015-06-09 13:22 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14316: Clarify meaning of record number in Batch record deletion tool (1.54 KB, patch)
2015-06-19 15:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14316: Clarify meaning of record number in Batch record modification tool (1.27 KB, patch)
2017-08-19 08:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14316: Clarify meaning of record number in Batch record modification tool (1.40 KB, patch)
2017-08-20 07:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14316: Clarify meaning of record number in Batch record modification tool (1.46 KB, patch)
2017-09-01 13:11 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-06-02 13:06:46 UTC
I got this question from a library:

"I want to use the Batch Record Deletion tool.  It asks for the "record
number".  Is that the same as the biblionumber?  If not, which number is
needed?"

We should be consistent in language and call it biblionumber not record number so that there isn't this kind of confusion.
Comment 1 Katrin Fischer 2015-06-02 15:47:36 UTC
I think the term was chosen because we can also delete authorities with the tool. Maybe "biblionumber or authority number"?
Comment 2 Nicole C. Engard 2015-06-02 20:06:49 UTC
That's fine with me, we just need to be clear for those using the system.  

Nicole
Comment 3 Katrin Fischer 2015-06-08 00:07:00 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-06-09 13:22:51 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-06-16 16:51:43 UTC
I need another pov here,
"record number" is used in the legend of the fieldset on the same page.
Moreover, it is also used on the "Batch record modification" page.
Comment 6 Nicole C. Engard 2015-06-18 13:58:53 UTC
(In reply to Jonathan Druart from comment #5)
> I need another pov here,
> "record number" is used in the legend of the fieldset on the same page.
> Moreover, it is also used on the "Batch record modification" page.

When you're talking about modifying a 'record' that makes sense.  But there is no 'record number' in Koha - there is biblionumber and/or authority id.  So when people see 'record number' they're confused about what they're supposed to put there.

Nicole
Comment 7 Jonathan Druart 2015-06-18 14:44:45 UTC
(In reply to Nicole C. Engard from comment #6)
> (In reply to Jonathan Druart from comment #5)
> > I need another pov here,
> > "record number" is used in the legend of the fieldset on the same page.
> > Moreover, it is also used on the "Batch record modification" page.
> 
> When you're talking about modifying a 'record' that makes sense.  But there
> is no 'record number' in Koha - there is biblionumber and/or authority id. 
> So when people see 'record number' they're confused about what they're
> supposed to put there.
> 
> Nicole

Thanks for your answer, but I don't understand what you mean :)
We have a "Batch record modification" and a "Batch record deletion", on both you can play with biblio and authority records.
This patch only affects 1 tool (deletion), to be consistent I propose to make the same change for the other one (modification).
Comment 8 Kyle M Hall 2015-06-19 15:13:55 UTC
Created attachment 40408 [details] [review]
[PASSED QA] Bug 14316: Clarify meaning of record number in Batch record deletion tool

Changes the label from 'list of record numbers...' to
'List of biblionumbers or authority ids...' to make it
more clear to the user which kind of input is expected.

To test:
- Go to Tools > Batch record deletion
- Check the new description
- Decide if it's more clear or not

Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Katrin Fischer 2017-08-19 08:23:39 UTC
Created attachment 66217 [details] [review]
Bug 14316: Clarify meaning of record number in Batch record modification tool

Same change as the first patch, but for the batch record
modification tool.
Comment 10 Katrin Fischer 2017-08-19 08:24:43 UTC
(In reply to Jonathan Druart from comment #7)
> This patch only affects 1 tool (deletion), to be consistent I propose to
> make the same change for the other one (modification).

Took a while ... but done!
Comment 11 Marc Véron 2017-08-20 07:40:54 UTC
Created attachment 66226 [details] [review]
Bug 14316: Clarify meaning of record number in Batch record modification tool

Same change as the first patch, but for the batch record
modification tool.

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 12 Kyle M Hall 2017-09-01 13:11:58 UTC
Created attachment 66735 [details] [review]
Bug 14316: Clarify meaning of record number in Batch record modification tool

Same change as the first patch, but for the batch record
modification tool.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Jonathan Druart 2017-09-01 16:03:24 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 14 Fridolin SOMERS 2017-10-03 09:38:43 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 15 Katrin Fischer 2017-10-06 06:12:33 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.